Surveys API
12 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/surveys/ |
List Surveys Query: status, survey_type. |
POST |
/api/surveys/ |
Create Survey Accepts a JSON body. |
GET |
/api/surveys/respond/{token} |
Get Survey For Response |
POST |
/api/surveys/respond/{token} |
Submit Survey Response Accepts a JSON body. |
GET |
/api/surveys/{survey_id} |
Get Survey |
PATCH |
/api/surveys/{survey_id} |
Update Survey Accepts a JSON body. |
DELETE |
/api/surveys/{survey_id} |
Delete Survey |
GET |
/api/surveys/{survey_id}/analytics |
Survey Analytics |
POST |
/api/surveys/{survey_id}/distribute |
Distribute Survey Accepts a JSON body. |
POST |
/api/surveys/{survey_id}/questions |
Add Question Accepts a JSON body. |
PATCH |
/api/surveys/{survey_id}/questions/{question_id} |
Update Question Accepts a JSON body. |
DELETE |
/api/surveys/{survey_id}/questions/{question_id} |
Delete Question |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.